Note : This endpoint is in preview and is subject to change.
If you have any feedback, contact Datadog support .
DELETE https://api.ap1.datadoghq.com/api/v2/incidents/config/rules/{rule_id} https://api.ap2.datadoghq.com/api/v2/incidents/config/rules/{rule_id} https://api.datadoghq.eu/api/v2/incidents/config/rules/{rule_id} https://api.ddog-gov.com/api/v2/incidents/config/rules/{rule_id} https://api.us2.ddog-gov.com/api/v2/incidents/config/rules/{rule_id} https://api.uk1.datadoghq.com/api/v2/incidents/config/rules/{rule_id} https://api.datadoghq.com/api/v2/incidents/config/rules/{rule_id} https://api.us3.datadoghq.com/api/v2/incidents/config/rules/{rule_id} https://api.us5.datadoghq.com/api/v2/incidents/config/rules/{rule_id}
概要 Delete an incident rule.
This endpoint requires
any
of the following permissions:
incident_settings_writeincident_notification_settings_writeOAuth apps require the incident_settings_write authorization scope to access this endpoint.
引数 パスパラメーター The UUID of the incident rule.
応答 Bad Request
{
"errors" : [
"Bad Request"
]
} Unauthorized
{
"errors" : [
"Bad Request"
]
} Forbidden
{
"errors" : [
"Bad Request"
]
} Not Found
{
"errors" : [
"Bad Request"
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} コード例 コピー
# Path parameters export rule_id = "CHANGE_ME" # Use a Personal Access Token or Service Access Token export DD_BEARER_TOKEN = "<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" # Curl command curl -X DELETE "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/incidents/config/rules/${rule_id} " \
-H "Authorization: Bearer ${DD_BEARER_TOKEN} "